Loading...
Searching...
No Matches
HipDataPCI Class Reference
Inheritance diagram for HipDataPCI:
Collaboration diagram for HipDataPCI:

## Public Member Functions

| HipDataPCI (int DeviceDriverModel)
void | InitVpb (unsigned short base)
void | DspReset (unsigned short board)
void | DspRun (unsigned short board)
void | WriteDspSram (unsigned short board, unsigned short addr, unsigned short length, uint16_t *buf)
void | ReadDspSram (unsigned short board, unsigned short addr, unsigned short length, uint16_t *buf)
void | WriteIic (unsigned short board, unsigned short addr, unsigned short length, uint16_t *buf)
void | ReadIic (unsigned short board, unsigned short addr, unsigned short length, uint16_t *buf)
void | EeRead (unsigned short board, unsigned short addr, unsigned short length, uint16_t *buf)
void * | GethndFile ()
int | GetDeviceDriverModel ()
| HipDataPCI (int DeviceDriverModel)
void | InitVpb (USHORT base)
void | DspReset (USHORT board)
void | DspRun (USHORT board)
void | WriteDspSram (USHORT board, USHORT addr, USHORT length, word *buf)
void | ReadDspSram (USHORT board, USHORT addr, USHORT length, word *buf)
void | WriteIic (USHORT board, USHORT addr, USHORT length, word *buf)
void | ReadIic (USHORT board, USHORT addr, USHORT length, word *buf)
void | EeRead (USHORT board, USHORT addr, USHORT length, word *buf)
void * | GethndFile ()
int | GetDeviceDriverModel ()
unsigned int | eeread (int PCIn, int addr)
int | rdbit (int PCInn)
void | wrbit (int PCInn, int bit)
void | cntrlbit (int PCInn, int bit, int val)
void | writel (int value, int board, unsigned long offset)
unsigned long | readl (int board, unsigned long offset)
void | iicout (int PCInn, int sig, int state)
char | iicin (int PCInn, int sig)
int | Iic_Blk_Read (int PCI, unsigned short *buf, int length, int addr)
int | Iic_Blk_Write (int PCI, unsigned short *buf, int length, int addr)
int | Iic_Start (int PCI)
int | Iic_Addr (int PCI, char W)
void | Iic_Sr (int PCI)
void | Iic_Sp (int PCI)
char | Iic_Write (int PCI, char W)
char | Iic_Read (int PCI, int an)

## Member Function Documentation

## DspReset() [1/2]

void HipDataPCI::DspReset | ( | unsigned short | board | ) |

virtual

Implements baseHipData.

## DspReset() [2/2]

void HipDataPCI::DspReset | ( | USHORT | board | ) |

virtual

Implements baseHipData.

## DspRun() [1/2]

void HipDataPCI::DspRun | ( | unsigned short | board | ) |

virtual

Implements baseHipData.

## DspRun() [2/2]

void HipDataPCI::DspRun | ( | USHORT | board | ) |

virtual

Implements baseHipData.

## EeRead() [1/2]

void HipDataPCI::EeRead | ( | unsigned short | board,
|  | unsigned short | addr,
|  | unsigned short | length,
|  | uint16_t * | buf )

virtual

Implements baseHipData.

## EeRead() [2/2]

void HipDataPCI::EeRead | ( | USHORT | board,
|  | USHORT | addr,
|  | USHORT | length,
|  | word * | buf )

virtual

Implements baseHipData.

## GetDeviceDriverModel() [1/2]

int HipDataPCI::GetDeviceDriverModel | ( |  | ) |

inline virtual

Implements baseHipData.

## GetDeviceDriverModel() [2/2]

int HipDataPCI::GetDeviceDriverModel | ( |  | ) |

inline virtual

Implements baseHipData.

## GethndFile() [1/2]

void * HipDataPCI::GethndFile | ( |  | ) |

inline virtual

Implements baseHipData.

## GethndFile() [2/2]

void * HipDataPCI::GethndFile | ( |  | ) |

inline virtual

Implements baseHipData.

## InitVpb() [1/2]

void HipDataPCI::InitVpb | ( | unsigned short | base | ) |

virtual

Implements baseHipData.

## InitVpb() [2/2]

void HipDataPCI::InitVpb | ( | USHORT | base | ) |

virtual

Implements baseHipData.

## ReadDspSram() [1/2]

void HipDataPCI::ReadDspSram | ( | unsigned short | board,
|  | unsigned short | addr,
|  | unsigned short | length,
|  | uint16_t * | buf )

virtual

Implements baseHipData.

## ReadDspSram() [2/2]

void HipDataPCI::ReadDspSram | ( | USHORT | board,
|  | USHORT | addr,
|  | USHORT | length,
|  | word * | buf )

virtual

Implements baseHipData.

## ReadIic() [1/2]

void HipDataPCI::ReadIic | ( | unsigned short | board,
|  | unsigned short | addr,
|  | unsigned short | length,
|  | uint16_t * | buf )

virtual

Implements baseHipData.

## ReadIic() [2/2]

void HipDataPCI::ReadIic | ( | USHORT | board,
|  | USHORT | addr,
|  | USHORT | length,
|  | word * | buf )

virtual

Implements baseHipData.

## WriteDspSram() [1/2]

void HipDataPCI::WriteDspSram | ( | unsigned short | board,
|  | unsigned short | addr,
|  | unsigned short | length,
|  | uint16_t * | buf )

virtual

Implements baseHipData.

## WriteDspSram() [2/2]

void HipDataPCI::WriteDspSram | ( | USHORT | board,
|  | USHORT | addr,
|  | USHORT | length,
|  | word * | buf )

virtual

Implements baseHipData.

## WriteIic() [1/2]

void HipDataPCI::WriteIic | ( | unsigned short | board,
|  | unsigned short | addr,
|  | unsigned short | length,
|  | uint16_t * | buf )

virtual

Implements baseHipData.

## WriteIic() [2/2]

void HipDataPCI::WriteIic | ( | USHORT | board,
|  | USHORT | addr,
|  | USHORT | length,
|  | word * | buf )

virtual

Implements baseHipData.